## org.jfree.data.general
Class HeatMapUtilities

    java.lang.Object
      org.jfree.data.general.HeatMapUtilities

    public abstract class HeatMapUtilities

extends java.lang.Object

A utility class for the `HeatMapDataset`.

Since:
  1.0.13

Constructor Summary
`HeatMapUtilities()`

Method Summary
`static java.awt.image.BufferedImage` `createHeatMapImage(HeatMapDataset dataset, PaintScale paintScale)` Creates an image that displays the values from the specified dataset.
`static XYDataset` `extractColumnFromHeatMapDataset(HeatMapDataset dataset, int column, java.lang.Comparable seriesName)` Returns a dataset containing one series that holds a copy of the (y, z) data from one column (x-index) of the specified dataset.
`static XYDataset` `extractRowFromHeatMapDataset(HeatMapDataset dataset, int row, java.lang.Comparable seriesName)` Returns a dataset containing one series that holds a copy of the (x, z) data from one row (y-index) of the specified dataset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeatMapUtilities

    public HeatMapUtilities()

Method Detail

### extractRowFromHeatMapDataset

    public static XYDataset extractRowFromHeatMapDataset(HeatMapDataset dataset,
                                                         int row,
                                                         java.lang.Comparable seriesName)

  Returns a dataset containing one series that holds a copy of the (x, z) data from one row (y-index) of the specified dataset.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `row` - the row (y) index.
    `seriesName` - the series name/key (`null` not permitted).
  Returns:
    The dataset.

### extractColumnFromHeatMapDataset

    public static XYDataset extractColumnFromHeatMapDataset(HeatMapDataset dataset,
                                                            int column,
                                                            java.lang.Comparable seriesName)

  Returns a dataset containing one series that holds a copy of the (y, z) data from one column (x-index) of the specified dataset.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `column` - the column (x) index.
    `seriesName` - the series name (`null` not permitted).
  Returns:
    The dataset.

### createHeatMapImage

    public static java.awt.image.BufferedImage createHeatMapImage(HeatMapDataset dataset,
                                                                  PaintScale paintScale)

  Creates an image that displays the values from the specified dataset.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `paintScale` - the paint scale for the z-values (`null` not permitted).
  Returns:
    A buffered image.